# 88. التحوير: تصدير ZonesMap كملف Shapefile مضغوط

إنشاء أرشيف مضغوط بصيغة zip يحتوي على "ZonesMap" المحددة كملف shapefile.

{% hint style="info" %}
يتكون الأرشيف من ملفات \*.shp و \*.shx و \*.prj و \*.dbf بنظام الإحداثيات EPSG:4326.
{% endhint %}

### 1. التحضير

* السمة `vectorAnalysisMaps` تحتوي على مصفوفة من كائنات ZonesMaps (VectorAnalysisMaps) المراد تصديرها. يحتوي كل كائن من هذا النوع على زوج من `معرف_الحقل` (رابط إلى الحقل المحدد) و `uuid` (رابط إلى خريطة المناطق ZonesMap المحددة).
* السمة البوليانية `asMultiGeometry` تحدد ما إذا كانت المناطق تُصدر كـ `مضلعات (Polygons)` أو `متعددة المضلعات (MultiPolygons)` (عند تعيينها إلى `true` ).
* السمة البوليانية `onlyProductColumns` تحدد ما إذا كانت تدرجات الأعمدة التي تحتوي على منتجات (مثل RX) فقط يجب تضمينها في ملف الشكل (عندما `true`). وإلا، فسيتم تضمين جميع السمات الإحصائية ومعرّفات المناطق كأعمدة.
* السمة `archiveName` يحمل اسم أرشيف zip الناتج.
* السمة `filePostfix` يسمح بإضافة لاحقات مخصصة إلى الملفات والأرشيف المصدر.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      معرف_الحقل
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      معرف_الحقل
      status
    } 
  }
}
```

{% endcode %}

### 2. تنزيل الأرشيف المولد

بعد تنفيذ استعلام GraphQL، يمكن تنزيله باستخدام `curl` أو نهج مشابه.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/88.-althwyr-tsdyr-zonesmap-kmlf-shapefile-mdhghwt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
